GoDoxy

Get GoDoxy stats

GET
/stats

Get stats

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/stats"
{  "proxies": {    "providers": {      "property1": {        "reverse_proxies": {          "error": 0,          "healthy": 0,          "napping": 0,          "total": 0,          "unhealthy": 0,          "unknown": 0        },        "streams": {          "error": 0,          "healthy": 0,          "napping": 0,          "total": 0,          "unhealthy": 0,          "unknown": 0        },        "total": 0,        "type": "docker"      },      "property2": {        "reverse_proxies": {          "error": 0,          "healthy": 0,          "napping": 0,          "total": 0,          "unhealthy": 0,          "unknown": 0        },        "streams": {          "error": 0,          "healthy": 0,          "napping": 0,          "total": 0,          "unhealthy": 0,          "unknown": 0        },        "total": 0,        "type": "docker"      }    },    "reverse_proxies": {      "error": 0,      "healthy": 0,      "napping": 0,      "total": 0,      "unhealthy": 0,      "unknown": 0    },    "streams": {      "error": 0,      "healthy": 0,      "napping": 0,      "total": 0,      "unhealthy": 0,      "unknown": 0    },    "total": 0  },  "runtime": {    "activation": {      "api": {        "local": {          "configured": true,          "error": null,          "ready": true,          "required": true        },        "main": {          "configured": true,          "error": null,          "ready": true,          "required": true        }      },      "metrics": {        "configured": true,        "error": null,        "ready": true,        "required": true      },      "providers": {        "active_routes": 0,        "attempted_routes": 0,        "degraded_providers": 0,        "desired_routes": 0,        "failed_providers": 0,        "failed_routes": 0,        "providers": [          {            "active_routes": 0,            "attempted_routes": 0,            "desired_routes": 0,            "event_loop_ready": true,            "failed_routes": [              {                "error": null,                "route": "string"              }            ],            "infrastructure_error": null,            "provider": "string"          }        ],        "ready_providers": 0      }    },    "health": "healthy",    "status": "preparing"  },  "uptime": 0}